@import url('https://fonts.googleapis.com/css2?family=Baloo+2:wght@400;500&family=Roboto:wght@100;300;400;500;700;900&display=swap');

* {
    margin: 0;
    padding: 0;
}

nav {
    height: 4rem;
    background-color: purple;
    color: whitesmoke;
    font-family: 'Roboto', sans-serif;
    display: flex;
    align-items: center;
}

nav ul {
    display: flex;
    align-items: center;
    font-size: 28px;
    font-weight: 500;
    margin-left: 1rem;
    border-bottom: 2px solid whitesmoke;
}

nav ul li {
    list-style-type: none;
    border-bottom: 3px solid whitesmoke;
}

.gameContainer {
    display: flex;
    justify-content: space-evenly;
    height: 90.8vh;
    padding-top: 5rem;
    font-family: 'Roboto', sans-serif;
    background-color: pink;

}

.container {
    display: grid;
    grid-template-rows: repeat(3, 10vw);
    grid-template-columns: repeat(3, 10vw);
    position: relative;
}

.container .box {
    border: 2px solid black;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 5vw;
    cursor: pointer;
}

.box:hover {
    background-color: rgb(231, 146, 231);
}

.gameInfo {
    margin: 0 1rem;
}

.gameInfoContainer {
    display: flex;
    width: 22vw;
    justify-content: space-evenly;
    font-size: 25px;
    margin-top: 1rem;
    align-items: center;
    padding: 0 1rem;

}

#line {
    position: absolute;
    height: 3px;
    width: 0;
    background-color: black;
}

.gameInfoContainer button {
    padding: .5rem 1rem;
    font-size: 25px;
    border-radius: 12px;
    font-weight: 600;
    background-color: rgb(234, 151, 234);
    border: 3px solid black;
    cursor: pointer;
}

.gameInfoContainer .info {
    font-weight: 500;
}

/* BORDER REMOVAL CLASSES  */
.bb-0 {
    border-bottom: 0 !important;
}

.bt-0 {
    border-top: 0 !important;
}

.bl-0 {
    border-left: 0 !important;
}

.br-0 {
    border-right: 0 !important;
}

.winningGif img {
    width: 0vw;
    transition: width .3s ease-in-out;
}

@media (max-width:1055px) {
    .gameInfoContainer {
        width: 100%;
    }

    .gameInfoContainer button {
        font-size: 20px;
    }

}

@media (max-width:640px) {
    .gameInfo h1 {
        font-size: 25px !important;
    }

}

@media (max-width:560px) {
    .gameContainer {
        height: 81vh;
        flex-direction: column;
        justify-content: space-around;
        align-items: center;
    }

    .container {
        grid-template-rows: repeat(3, 20vw);
        grid-template-columns: repeat(3, 20vw);
    }
    .gameInfo{
      padding: 5rem 3rem;
      text-align: center;
    }
    .gameInfo h1 {
        font-size: 22px !important;
    }
    .winningGif{
        display: flex;
        justify-content: center;
    }
    .box .boxContent{
        font-size: 40px;
    }

}